package com.hchyun.generator.entity;


public class AssColumn {

  private long id;
  private long tableId;
  private String columnName;
  private String columnComment;
  private String columnType;
  private String javaType;
  private String javaField;
  private String isList;
  private String isQuery;
  private String queryType;
  private String htmlType;
  private String dictType;
  private Integer sort;
  private long createBy;
  private long updateBy;


  public long getId() {
    return id;
  }

  public void setId(long id) {
    this.id = id;
  }


  public long getTableId() {
    return tableId;
  }

  public void setTableId(long tableId) {
    this.tableId = tableId;
  }


  public String getColumnName() {
    return columnName;
  }

  public void setColumnName(String columnName) {
    this.columnName = columnName;
  }


  public String getColumnComment() {
    return columnComment;
  }

  public void setColumnComment(String columnComment) {
    this.columnComment = columnComment;
  }


  public String getColumnType() {
    return columnType;
  }

  public void setColumnType(String columnType) {
    this.columnType = columnType;
  }


  public String getJavaType() {
    return javaType;
  }

  public void setJavaType(String javaType) {
    this.javaType = javaType;
  }


  public String getJavaField() {
    return javaField;
  }

  public void setJavaField(String javaField) {
    this.javaField = javaField;
  }


  public String getIsList() {
    return isList;
  }

  public void setIsList(String isList) {
    this.isList = isList;
  }


  public String getIsQuery() {
    return isQuery;
  }

  public void setIsQuery(String isQuery) {
    this.isQuery = isQuery;
  }


  public String getQueryType() {
    return queryType;
  }

  public void setQueryType(String queryType) {
    this.queryType = queryType;
  }


  public String getHtmlType() {
    return htmlType;
  }

  public void setHtmlType(String htmlType) {
    this.htmlType = htmlType;
  }


  public String getDictType() {
    return dictType;
  }

  public void setDictType(String dictType) {
    this.dictType = dictType;
  }


  public Integer getSort() {
    return sort;
  }

  public void setSort(Integer sort) {
    this.sort = sort;
  }

  public long getCreateBy() {
    return createBy;
  }

  public void setCreateBy(long createBy) {
    this.createBy = createBy;
  }

  public long getUpdateBy() {
    return updateBy;
  }

  public void setUpdateBy(long updateBy) {
    this.updateBy = updateBy;
  }

}
